<?
require_once ('system/func.php');
auth(); // Закроем от гостей
access(2);
$title = 'Xsolla';
require_once ('system/header.php');
$set['p_str'] = 10;
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `xsolla_payment` WHERE `payment_date` > '0'"),0);
$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str']*$page-$set['p_str'];
$q = mysql_query("SELECT * FROM `xsolla_payment` WHERE `payment_date` > '0' ORDER BY `id` DESC LIMIT $start, $set[p_str]");
echo "<div class='block'>";
if($k_post == 0) echo "Операций не найдено...";
while($post = mysql_fetch_assoc($q)) {
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = $post[id_user] LIMIT 1"));
echo "Оплата счета №".$post['id'].", <br>Дата.$post[payment_date]<br>Пакупатель: ".$ank[id]." <a href='/profile/$ank[id]'>$ank[login]</a><br>Сумма: .$post[payment_amount].  $post[payment_currency] <hr>";
}
str('?&',$k_page,$page); // Вывод страниц




echo "</div>";
echo "<a href='/settGame' class='link'>".ico('icons','arrow.png')." Вернуться назад</a>";
require_once ('system/footer.php');
?>










